Bug 400441 - Review Request: trac-iniadmin-plugin - Expose all TracIni options using the Trac 0.10 config option API
Review Request: trac-iniadmin-plugin - Expose all TracIni options using the T...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 20:30 EST by Jesse Keating
Modified: 2013-01-09 21:42 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.1-2.20071126svn2824
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 13:37:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-11-26 20:30:56 EST
Spec URL: http://jkeating.fedorapeople.org/review/trac-iniadmin-plugin.spec
SRPM URL: http://jkeating.fedorapeople.org/review/trac-iniadmin-plugin-0.1-1.20071126svn2824.fc8.src.rpm
Description: 
This plugin uses the new configuration option API in Trac 0.10 to allow
modification of any field exposed through this mechanism.

This currently includes all core Trac settings, and although no plugins are
taking advantage of this yet, I'm sure it will only be a matter of time :)

Note: Many Trac options require a restart of the server process, so your
changes may not take effect until that is done.
Comment 1 Jason Tibbitts 2007-11-30 22:15:54 EST
You might want to reference SVN revision in the comment after URL; referencing
"latest" gets a different file which happens to have the same contents (for now).

Should the version be "0.1" or "0.10"?  setup.py says one thing, but the tarball
would seem to suggest otherwise.  I'm going to assume that 0.1 is proper and the
0.10 refers to the trac version it works with.

Does this package really need python-setuptools at runtime?

rpmlint says:
  trac-iniadmin-plugin.noarch: W: no-documentation
which is OK; it really has no documentation.

Checklist:
* source files match upstream:
   f915159e70818d74a0a46e4803e8dce09249001dded58d476d60825982f90310  
   iniadminplugin_0.10-r2824.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
? final provides and requires:
   trac-iniadmin-plugin = 0.1-1.20071126svn2824.fc9
  =
   python(abi) = 2.5
?  python-setuptools
   trac
  Is python-setuptools really required?

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* eggs are built from source.
* no dependencies are downloaded.  (Not that it would work in mock anyway.)
* egg-info files are included in the package.
Comment 2 Jesse Keating 2007-12-04 15:44:00 EST
(In reply to comment #1)
> You might want to reference SVN revision in the comment after URL; referencing
> "latest" gets a different file which happens to have the same contents (for now).

Hrm, I'm not sure how to by hand craft that url.  I'm just copying the url that
is given on the Trac Hacks page :/

> 
> Should the version be "0.1" or "0.10"?  setup.py says one thing, but the tarball
> would seem to suggest otherwise.  I'm going to assume that 0.1 is proper and the
> 0.10 refers to the trac version it works with.

That was my assumption too.

> Does this package really need python-setuptools at runtime?

Yea, Trac will need it because we're using the plugin exploaded rather than as
an egg.  But since you only need setuptools when using a non-egg plugin, the
plugin should require the setuptools, not trac.
Comment 3 Jason Tibbitts 2007-12-05 01:27:46 EST
You can replace "latest" in that URL with the revision number that you want to
check out and you'll get a tarball of that revision.

Everything else seems fine for me; thanks for the explanation of the setuptools
dependency.

APPROVED
Comment 4 Jesse Keating 2007-12-05 07:06:10 EST
Huh, I could have sworn I tried that.  Oh well, that works for me.

New Package CVS Request
=======================
Package Name: trac-iniadmin-plugin
Short Description: Expose all TracIni options using the Trac 0.10 config option API
Owners: jkeating
Branches: F-8 F-7 EL-5 EL-4
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-05 14:27:54 EST
cvs done.
Comment 6 Jason Tibbitts 2007-12-19 13:37:43 EST
This is built for rawhide and EL5; closing.

Note You need to log in before you can comment on or make changes to this bug.